/******************************************************************************
layerdef.h : layer options defines

Copyright  John Paul Chacha. All Rights Reserved.

This source code file, which has been provided by John Paul Chacha as part of 
his software product for use only by licensed users of that product, includes 
proprietary information of John Paul Chacha.

USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS OF THE LICENSE 
AGREEMENT FURNISHED WITH THE PRODUCT.

IN PARTICULAR, JOHN PAUL CHACHA SHALL BE FREE FROM ANY CLAIMS OR LIABILITIES 
ARISING OUT OF THE USE OR MISUSE OF THIS FILE AND/OR ITS CONTENTS.
******************************************************************************/

#pragma once

//-----------------------------------------------------------------------------

//=============================================================================
#define LAYER_MAX_COUNT							1024
#define LAYER_MAX_NAME							32

//-----------------------------------------------------------------------------

//=============================================================================
#define LAYER_OPTION_xxx						0x0000ff00
#define LAYER_OPTION_HIDDEN						0x00000100
#define LAYER_OPTION_LOCKED						0x00000200
#define LAYER_OPTION_EXCLUDED					0x00000400
#define LAYER_OPTION_PROTECT					0x00000800
#define LAYER_OPTION_CLICKTHRU					0x00001000
#define LAYER_OPTION_FLOATING					0x00002000

//-----------------------------------------------------------------------------

//=============================================================================
#define LAYER_BLEND_xxx							0x000000ff
#define LAYER_BLEND_NONE						0x000000ff
#define LAYER_BLEND_USER						0x000000fe
#define LAYER_BLEND_NORM						0x00000000
#define LAYER_BLEND_ADD							0x00000001
#define LAYER_BLEND_SUB							0x00000002
#define LAYER_BLEND_MUL							0x00000003
#define LAYER_BLEND_OFF							0x00000004
#define LAYER_BLEND_HUE 						0x00000005
#define LAYER_BLEND_CLR 						0x00000006
#define LAYER_BLEND_LUM 						0x00000007
#define LAYER_BLEND_SCRN						0x00000008
#define LAYER_BLEND_MASK						0x00000009
#define LAYER_BLEND_DIV 						0x0000000a
#define LAYER_BLEND_DIFF 						0x0000000b
#define LAYER_BLEND_MIN 						0x0000000c
#define LAYER_BLEND_MAX 						0x0000000d
#define LAYER_BLEND_SAT 						0x0000000e
#define LAYER_BLEND_OVER						0x0000000f
#define LAYER_BLEND_DODG						0x00000010
#define LAYER_BLEND_BURN						0x00000011
#define LAYER_BLEND_VAL 						0x00000012
#define LAYER_BLEND_LIT 						0x00000013
#define LAYER_BLEND_AND 						0x00000014
#define LAYER_BLEND_OR  						0x00000015
#define LAYER_BLEND_XOR 						0x00000016

//-----------------------------------------------------------------------------

//=============================================================================
